# InternalSignal [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.4665793.svg)](https://doi.org/10.5281/zenodo.4665793)
ANN detecting signal from internal variability 

###### Under construction... ```[Python 3.7]```

## Contact
Zachary Labe - [Research Website](http://sites.uci.edu/zlabe/) - [@ZLabe](https://twitter.com/ZLabe)

## Description
+ ```Scripts/```: Main [Python](https://www.python.org/) scripts/functions used in data analysis and plotting
+ ```requirements.txt```: List of environments and modules associated with the most recent version of this project. A Python [Anaconda3 Distribution](https://docs.continuum.io/anaconda/) was used for our analysis. Tools including [NCL](https://www.ncl.ucar.edu/), [CDO](https://code.mpimet.mpg.de/projects/cdo), and [NCO](http://nco.sourceforge.net/) were also used for initial data manipulation.

## Data
+ Berkeley Earth Surface Temperature project (BEST) : [[DATA]](http://berkeleyearth.org/data/)
    + Rohde, R. and Coauthors (2013) Berkeley earth temperature averaging process. Geoinform Geostat Overv. doi:10.4172/2327-4581.1000103 [[PUBLICATION]](http://www.scitechnol.com/2327-4581/2327-4581-1-103.php)
+ ERA5 : [[DATA]](https://cds.climate.copernicus.eu/cdsapp#!/home)
    + Hersbach, H., Bell, B., Berrisford, P., Hirahara, S., Horányi, A., Muñoz‐Sabater, J., ... & Simmons, A. (2020). The ERA5 global reanalysis. Quarterly Journal of the Royal Meteorological Society, doi:10.1002/qj.3803 [[PUBLICATION]](https://rmets.onlinelibrary.wiley.com/doi/full/10.1002/qj.3803)
+ CESM Large Ensemble Project (LENS) : [[DATA]](http://www.cesm.ucar.edu/projects/community-projects/LENS/data-sets.html)
    + Kay, J. E and Coauthors, 2015: The Community Earth System Model (CESM) large ensemble project: A community resource for studying climate change in the presence of internal climate variability. Bull. Amer. Meteor. Soc., 96, 1333–1349, doi:10.1175/BAMS-D-13-00255.1 [[PUBLICATION]](http://journals.ametsoc.org/doi/full/10.1175/BAMS-D-13-00255.1)
+ CESM Large Ensemble Single Forcing (LENS-X) : [[Data]](http://www.cesm.ucar.edu/experiments/cesm1.1/LE/#single-forcing)
    + Deser, C., Phillips, A. S., Simpson, I. R., Rosenbloom, N., Coleman, D., Lehner, F., ... & Stevenson, S. (2020). Isolating the evolving contributions of anthropogenic aerosols and greenhouse gases: A new CESM1 large ensemble community resource. Journal of Climate. doi:10.1175/JCLI-D-20-0123.1 [[PUBLICATION]](https://journals.ametsoc.org/jcli/article/doi/10.1175/JCLI-D-20-0123.1/353234)
+ NOAA-CIRES-DOE Twentieth Century Reanalysis (20CRv3) : [[DATA]](https://psl.noaa.gov/data/gridded/data.20thC_ReanV3.html)
    + Slivinski, L. C., Compo, G. P., Whitaker, J. S., Sardeshmukh, P. D., Giese, B. S., McColl, C., ... & Wyszyński, P. (2019). Towards a more reliable historical reanalysis: Improvements for version 3 of the Twentieth Century Reanalysis system. Quarterly Journal of the Royal Meteorological Society, 145(724), 2876-2908. doi:10.1002/qj.3598 [[PUBLICATION]](https://rmets.onlinelibrary.wiley.com/doi/10.1002/qj.3598)
    
## Publications
+ [1] **Labe, Z.M.** and E.A. Barnes (2021), Detecting climate signals using explainable AI with single-forcing large ensembles. Journal of Advances in Modeling Earth Systems (*accepted*) [[Preprint]](https://www.essoar.org/doi/10.1002/essoar.10505762.2)

## Conferences/Presentations
+ [2] **Labe, Z.M.** Revealing climate change signals with explainable AI, *2021 Spring Postdoctoral Research Symposium*, Remote Presentation at Colorado State University (Mar 2021). [[Slides]](https://www.slideshare.net/ZacharyLabe/revealing-climate-change-signals-with-explainable-ai)
+ [1] **Labe, Z.M.** and E.A. Barnes. Disentangling Climate Forcing in Multi-Model Large Ensembles Using Neural Networks, *20th Conference on Artificial Intelligence for Environmental Science*, Virtual Conference (Jan 2021). [[Abstract]](https://ams.confex.com/ams/101ANNUAL/meetingapp.cgi/Paper/379553) [[Slides]](https://www2.slideshare.net/ZacharyLabe/disentangling-climate-forcing-in-multimodel-large-ensembles-using-neural-networks)
